Bug 1162997 - Directory Server crashes while trying to perform export task for automember plugin with dynamic plugin on.
Summary: Directory Server crashes while trying to perform export task for automember p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 994690
TreeView+ depends on / blocked
 
Reported: 2014-11-12 07:59 UTC by Amita Sharma
Modified: 2015-03-05 09:36 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-10.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:36:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
stacktrace (32.27 KB, text/plain)
2014-11-12 07:59 UTC, Amita Sharma
no flags Details
Referme_stacktrace (121.22 KB, text/plain)
2014-11-12 08:57 UTC, Amita Sharma
no flags Details
stacktrace for latest build (121.05 KB, text/plain)
2014-11-12 09:30 UTC, Amita Sharma
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Amita Sharma 2014-11-12 07:59:58 UTC
Created attachment 956588 [details]
stacktrace

Description of problem:
Directory Server crashes while trying to perform export task for automember plugin with dynamic plugin on.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 7.1 Beta (Maipo)
389-ds-base-libs-1.3.3.1-7.el7.x86_64
389-ds-base-1.3.3.1-7.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-8.el7.x86_6

How reproducible:
Always

Steps to Reproduce:
Add 10 users and enable autoMembers plug-in and then run automembers export task to create an ldif file with member attributes


Actual results:
Server crashes.

Expected results:
Server should not crash and operation should complete successfully.

Additional info:
PFA for stack trace.

Comment 2 Amita Sharma 2014-11-12 08:57:31 UTC
Created attachment 956623 [details]
Referme_stacktrace

Comment 4 Amita Sharma 2014-11-12 09:30:10 UTC
Executed with latest bits with same crash::
rpm -qa | grep 389
389-ds-base-1.3.3.1-8.el7.x86_64
389-ds-base-libs-1.3.3.1-8.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-8.el7.x86_64


PFA for stacktrace "stacktrace.1415784332.txt" for this build

Comment 5 Amita Sharma 2014-11-12 09:30:54 UTC
Created attachment 956652 [details]
stacktrace for latest build

Comment 6 Amita Sharma 2014-11-12 11:06:56 UTC
Information by Ludwig :: the crash is in updating a counter for the plugin, the code was introduced when allowing to enable plugins without restart. Either the plugin counter is not properly initialized in a dynamic enabling or there is a race in enablin the plugin and adding a task.

Comment 7 Rich Megginson 2014-11-12 14:27:26 UTC
(In reply to Amita Sharma from comment #6)
> Information by Ludwig :: the crash is in updating a counter for the plugin,
> the code was introduced when allowing to enable plugins without restart.
> Either the plugin counter is not properly initialized in a dynamic enabling
> or there is a race in enablin the plugin and adding a task.

Adding Mark.

Comment 9 mreynolds 2014-12-08 15:42:41 UTC
This has been fixed upstream via:  https://fedorahosted.org/389/ticket/47451

Comment 11 Amita Sharma 2014-12-26 12:30:39 UTC
Test Case passed with dynamic plugin ON ::
----------------- Starting Test autoMemTask_02 -------------------------
This test case and all test cases after this test case will FAIL due to bug  https://bugzilla.redhat.com/show_bug.cgi?id=1162997
Disabling plugin
Disabling Auto Membership plugin and checking status
Entry uid=User_autoMemTask_012,ou=TaskEmployees,dc=autoMembers,dc=com deleted successfully
modifying entry cn=Auto Membership Plugin,cn=plugins,cn=config

Running /usr/lib64/mozldap/ldapsearch -1 -h cloud-qe-4.idmqe.lab.eng.bos.redhat.com -p 21625 -D cn=directory manager -w Secret123 -b cn=Auto Membership Plugin,cn=plugins,cn=config objectclass=* |grep -i nsslapd-pluginEnabled: |awk '{ print  }'
Automembership plugin successfully disabled.
TestCase [autoMemTask02] result-> [PASS]

Hence marking as VERIFIED.

Comment 13 errata-xmlrpc 2015-03-05 09:36:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.